Bug 117183 - GTK3: gtk-cancel in cancel button
Summary: GTK3: gtk-cancel in cancel button
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2018-04-23 15:40 UTC by Xisco Faulí
Modified: 2018-04-26 08:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-04-23 15:40:57 UTC
Steps to reproduce:
1. Go to Help - Restart in Safe mode

Observed behaviour: gtk-cancel in cancel button instead of 'Cancel'

Reproduced in

Version: 6.1.0.0.alpha0+
Build ID: e31a5365091d8658ecce374bbc339a9d832e1a15
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2018-04-23 15:42:06 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2018-04-13 15:31:44 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-04-14 01:52:44 +0200
commit	9c8a6a4396ebbe8ecb15591cc291c388c82c8ed6 (patch)
tree	0dba376d730f88542efb12dd4f13bc83360d463e
parent	22d2dbeaa6667e4c66978fb3bad11f835f569ef0 (diff)
gtk3: generate missing mnemonics

Bisected with: bibisect-linux64-6.1

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2018-04-24 07:54:44 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=46581021108cc1f634ffc69c2776584d1f2847d1

Resolves: tdf#117183 exclude stock buttons from missing mnemonics

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2018-04-26 08:39:57 UTC
Verified in

Version: 6.1.0.0.alpha1+
Build ID: 653e58f9eb3d4ee61d8103993cdff2660c9127a5
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group